Zum Inhalt springen
DeutschlandGPT

List custom avatars

Lists the custom avatars owned by the calling workspace. HeyGen default avatars are not listed here.

GEThttps://api.deutschlandgpt.de/v2/videos/avatars

Example request

curl https://api.deutschlandgpt.de/v2/videos/avatars \
  -X GET \
  -H "Authorization: Bearer $DGPT_API_KEY"

Response

200application/json
{
  "object": "list",
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "object": "avatar",
      "avatar_id": "string",
      "name": "string",
      "preview_url": "string",
      "created": 0
    }
  ]
}

The workspace's custom avatars.

objectstring
dataobject[]
idstring<uuid>
objectstring
avatar_idstring
namestring
preview_urlstring | null
createdinteger

Response codes

200

The workspace's custom avatars.

object
401

Unauthorized

Was this page helpful?